---
title: List operation labels
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[API Gateway](https://developers.cloudflare.com/api/python/resources/api_gateway)

[Labels](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List operation labels

api\_gateway.labels.list(LabelListParams\*\*kwargs) -> SyncV4PagePaginationArray\[[LabelListResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)>)]

GET/zones/{zone\_id}/api\_gateway/labels

Returns all managed and user-defined labels available for web and API operations in the zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account API Gateway``Account API Gateway Read``Domain API Gateway``Domain API Gateway Read`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

<details>

<summary>

direction: Optional\[Literal\["asc", "desc"]]

Direction to order results.

</summary>

One of the following:

"asc"

<a href="#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"desc"

<a href="#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)>)

filter: Optional\[str]

Filter for labels where the name or description matches using substring match

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20filter%20%3E%20(schema)>)

<details>

<summary>

order: Optional\[Literal\["name", "description", "created\_at", 2 more]]

Field to order by

</summary>

One of the following:

"name"

<a href="#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"description"

<a href="#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"created\_at"

<a href="#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"last\_updated"

<a href="#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

"mapped\_resources.operations"

<a href="#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)>)

page: Optional\[int]

Page number of paginated results.

minimum1

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page%20%3E%20(schema)>)

per\_page: Optional\[int]

Maximum number of results per page.

maximum50

minimum5

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page%20%3E%20(schema)>)

<details>

<summary>

source: Optional\[Literal\["user", "managed"]]

Filter for labels with source

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20source%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20source%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20source%20%3E%20(schema)>)

with\_mapped\_resource\_counts: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/methods/list#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20with_mapped_resource_counts%20%3E%20(schema)>)]

Include `mapped_resources` for each label

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20with_mapped_resource_counts%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class LabelListResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

mapped\_resources: Optional\[object]

Provides counts of what resources are linked to this label

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20mapped_resources">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)>)

### List operation labels

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.api_gateway.labels.list(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.created_at)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2014-01-01T05:20:00.12345Z",
      "description": "All endpoints that deal with logins",
      "last_updated": "2014-01-01T05:20:00.12345Z",
      "metadata": {
        "foo": "bar"
      },
      "name": "login",
      "source": "user",
      "mapped_resources": {
        "operations": 29
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2014-01-01T05:20:00.12345Z",
      "description": "All endpoints that deal with logins",
      "last_updated": "2014-01-01T05:20:00.12345Z",
      "metadata": {
        "foo": "bar"
      },
      "name": "login",
      "source": "user",
      "mapped_resources": {
        "operations": 29
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```